# -*- coding: utf-8 -*-
import jd.api
import json
from jd.api.rest.ServicePromotionGoodsInfoRequest import ServicePromotionGoodsInfoRequest
from jd.api.rest.ServicePromotionGetcodeRequest import ServicePromotionGetcodeRequest

def setDefaultAppInfo():
	jd.setDefaultAppInfo("APPKEY", "APPSECRET")

def getgoodsInfo(gid):
	goodsInfoRequest = ServicePromotionGoodsInfoRequest()
	goodsInfoRequest.skuIds =gid
	try:
		resp = goodsInfoRequest.getResponse("TOKEN")
		result = resp['jingdong_service_promotion_goodsInfo_responce']['getpromotioninfo_result']
		resp = json.loads(result)
		if len(resp['result']) == 0:
			print(u"没有找到商品信息")
		else:
			result = resp['result'][0]
			print(u"商品ID:"+str(result["skuId"]))
			print(u"商品名称:"+result["goodsName"])
			print(u"PC价格:"+str(result["unitPrice"]))
			print(u"WL价格:"+str(result["wlUnitPrice"]))
			print(u"PC比率:"+str(result["commisionRatioPc"]))
			print(u"WL比率:"+str(result["commisionRatioWl"]))
			print(u"商品图片"+str(result["imgUrl"]))
	except Exception as e:
		print(e)

def getCode(gid):
	promotionGetcodeRequest = ServicePromotionGetcodeRequest()
	promotionGetcodeRequest.promotionType = 7
	promotionGetcodeRequest.materialId = "http://item.jd.com/"+str(gid)+".html"
	promotionGetcodeRequest.unionId = "UNIONID"
	promotionGetcodeRequest.channel = "PC"
	promotionGetcodeRequest.webId = "WEBID"
	try:
		resp = promotionGetcodeRequest.getResponse("TOKEN")
		result = resp['jingdong_service_promotion_getcode_responce']['queryjs_result']
		result = json.loads(result)
		print(u"返现地址:"+str(result['url']))
	except Exception as  e:
		print(e)

def main():
	id = input("Please input JD Goods id:")
	setDefaultAppInfo()
	getgoodsInfo(id)
	getCode(id)

if __name__=="__main__":
	main()